########################################################
# module genericajax
########################################################

delete_image_category:
  url:   /image/delete/category/:param/:file/:id/:div
  param: { module: genericajax, action: deleteImageCategory }

delete_image_category_header:
  url:   /image/delete/category/header/:param/:file/:id/:div
  param: { module: genericajax, action: deleteImageCategoryHeader }

delete_image_article:
  url:   /image/delete/article/:param/:file/:id/:div
  param: { module: genericajax, action: deleteImageArticle }

delete_image_header:
  url:   /image/delete/header/:param/:file/:id/:div
  param: { module: genericajax, action: deleteImageHeader }

delete_image_ad:
  url:   /image/delete/ads/:param/:file/:id/:div
  param: { module: genericajax, action: deleteImageAd }

level2_select_update:
  url:   /level2/select/update/:selectedValue/:includeBlank
  param: { module: genericajax, action: level2SelectUpdate }

level3_select_update:
  url:   /level3/select/update/:selectedValue/:includeBlank
  param: { module: genericajax, action: level3SelectUpdate }

###########################
# Module d'administration
###########################
# Login /  Logout
login:
  url:   /
  param: { module: login, action: index }

logout:
  url:   /logout
  param: { module: login, action: logout }

# Accueil
home:
  url:   /accueil
  param: { module: home, action: homepage }

opensite:
  url:   /opensite/:open
  param: { module: home, action: opensite, open: 1 }

actionClick:
  url: /actionclick
  param: { module: home, action: actionclick }

textefermeture:
  url: /textefermeture
  param: { module: home, action: textefermeture }

# Accueil
adminuser:
  url:   /adminuser
  param: { module: adminuser, action: index }

# Prix
price:
  url:   /price
  param: { module: price, action: index }
  
# weight
weight:
  url:   /weight
  param: { module: weight, action: index }

# Promotion
promotion:
  url:   /promotion
  param: { module: promotion, action: index }

# Spécial
special:
  url:   /special
  param: { module: special, action: index }

# Contenu
content:
  url:   /content
  param: { module: content, action: index }

# Bandeaux
header:
  url:   /header
  param: { module: header, action: index }

# Publicité
ads:
  url:   /ads
  param: { module: ads, action: index }

# Saga des pubs
saga:
  url:   /saga
  param: { module: saga, action: index }

# Partenaires
partner:
  url:   /partner
  param: { module: partner, action: index }

# Conditions Générales de Vente
cgv:
  url:   /cgv
  param: { module: cgv, action: index }

# Informations
info:
  url:   /info
  param: { module: info, action: index }

# Contact
contact:
  url:   /contact
  param: { module: contact, action: index }

# Statistique
stat:
  url:   /stat
  param: { module: stat, action: index }

# Categorie
level2_select_update_category:
  url:   /category/level2/select/update
  param: { module: category, action: level2SelectUpdate }

level12_select_update_category:
  url:   /category/level12/select/update
  param: { module: category, action: level12SelectUpdate }

# Position
category_position:
  url:   /category/position/sort/:position
  param: { module: position, action: positionSort }

# Produit
delete_article_product:
  url:   /product/article/delete/:id
  param: { module: product, action: deleteArticleProduct }

# Article
level2_select_update_article:
  url:   /article/level2/select/update
  param: { module: article, action: level2SelectUpdate }

level3_select_update_article:
  url:   /article/level3/select/update
  param: { module: article, action: level3SelectUpdate }

add_article_category:
  url:   /article/category/add
  param: { module: article, action: addArticleCategory }

delete_article_category:
  url:   /article/category/delete/:id/:level1/:level2/:level3
  param: { module: article, action: deleteArticleCategory }

price_ht:
  url:   /article/price
  param: { module: article, action: updatePriceHt }

add_text_color_article:
  url:   /article/color/text/add
  param: { module: article, action: addTextColor }

# Promotion
promotion_articles_update:
  url:   /promotion/articles/update
  param: { module: promotion, action: articlesUpdate }

# Sélection spéciale
special_articles_update:
  url:   /special/articles/update
  param: { module: special, action: articlesUpdate }

# Livraison
update_price_by_weight:
  url:   /shipping/price/update/:idsp
  param: { module: shipping, action: priceByWeightUpdate }

###########################
# pub
###########################

# List
pub_index:
  url: /pub
  param: { module: pub, action: index }
  
# Edit
pub_edit:
  url: /pub/edit/:id
  param: { module: pub, action: edit }
  
# Update
pub_update:
  url: /pub/update/:id
  param: { module: pub, action: update }
  
# Empty
pub_empty:
  url: /pub/empty/:id
  param: { module: pub, action: empty }

###########################
# default rules
###########################

homepage:
  url:   /
  param: { module: login, action: index }

default_symfony:
  url:   /symfony/:action/*
  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*